Bug 1044158 - Copr don't need to ask for username before it proceeds to OpenID FAS login
Summary: Copr don't need to ask for username before it proceeds to OpenID FAS login
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:33 UTC by Miro Hrončok
Modified: 2014-02-06 08:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 08:32:02 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2013-12-17 21:33:16 UTC
Description of problem:
When I log into Copr, I have to put in my username only to be prompted again on FAS side.

This is indeed not needed. For example see FedoraHosted OpenID login link

https://fedorahosted.org/copr/openidlogin (see source)

Just use:

    'http://id.fedoraproject.org/'

Instead of:

    'http://{0}.id.fedoraproject.org/'.format(fasusername)

[coprs_frontend/coprs/views/misc.py]

And check for allowed usernames later, after you get the username from FAS.

Comment 1 Miroslav Suchý 2014-01-16 11:06:05 UTC
Fixed in upstream in commit 1958ff0


Note You need to log in before you can comment on or make changes to this bug.